kafka-jira mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Sebb (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (KAFKA-6223) Please delete old releases from mirroring system
Date Fri, 17 Nov 2017 20:57:00 GMT

    [ https://issues.apache.org/jira/browse/KAFKA-6223?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16257556#comment-16257556
] 

Sebb commented on KAFKA-6223:
-----------------------------

Why are 0.11.0.2 and 0.10.2.1 still needed?

AFAICT 0.11.0.2 serves the same Scala versions as 1.0.
Unless there will be further development of the 0.11.x.y line - or it is needed to support
a particular version of Scala - why should anyone be using it in preference to 1.0?


> Please delete old releases from mirroring system
> ------------------------------------------------
>
>                 Key: KAFKA-6223
>                 URL: https://issues.apache.org/jira/browse/KAFKA-6223
>             Project: Kafka
>          Issue Type: Bug
>         Environment: https://dist.apache.org/repos/dist/release/kafka/
>            Reporter: Sebb
>            Assignee: Rajini Sivaram
>
> To reduce the load on the ASF mirrors, projects are required to delete old releases [1]
> Please can you remove all non-current releases?
> It's unfair to expect the 3rd party mirrors to carry old releases.
> Note that older releases can still be linked from the download page, but such links should
use the archive server at:
> https://archive.apache.org/dist/kafka/
> A suggested process is:
> + Change the download page to use archive.a.o for old releases
> + Delete the corresponding directories from {{https://dist.apache.org/repos/dist/release/kafka/}}
> e.g. {{svn delete https://dist.apache.org/repos/dist/release/kafka/0.8.0}}
> Thanks!
> [1] http://www.apache.org/dev/release.html#when-to-archive



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message